Subject: Re: WARNING: at mm/slub.c:3357, kernel BUG at mm/slub.c:3413

From: Markus Trippelsdorf <[email-masked]>
Date: Sun, 4 Dec 2011 02:02:00 +0100

On 2011.12.03 at 14:31 -0500, Jerome Glisse wrote:
> On Sat, Dec 3, 2011 at 7:29 AM, Markus Trippelsdorf
> <[email-masked]> wrote:
> > On 2011.12.03 at 12:20 +0000, Dave Airlie wrote:
> >> >> > > > > FIX idr_layer_cache: Marking all objects used
> >> >> > > >
> >> >> > > > Yesterday I couldn't reproduce the issue at all. But today I've hit
> >> >> > > > exactly the same spot again. (CCing the drm list)
> >>
> >> If I had to guess it looks like 0 is getting written back to some
> >> random page by the GPU maybe, it could be that the GPU is in some half
> >> setup state at boot or on a reboot does it happen from a cold boot or
> >> just warm boot or kexec?
> >
> > Only happened with kexec thus far. Cold boot seems to be fine.
> >
> > --
> > Markus
> 
> Can you add radeon.no_wb=1 to your kexec kernel paramater an see if
> you can reproduce.

No, I cannot reproduce the issue with radeon.no_wb=1. (I write this
after 700 successful kexec iterations...)

-- 
Markus

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>